package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * TrafficActivities
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class TrafficActivities   {
  @JsonProperty("apTrafficActivities")
  @Valid
  private List<DeviceTrafficActivity> apTrafficActivities = null;

  @JsonProperty("switchTrafficActivities")
  @Valid
  private List<DeviceTrafficActivity> switchTrafficActivities = null;

  public TrafficActivities apTrafficActivities(List<DeviceTrafficActivity> apTrafficActivities) {
    this.apTrafficActivities = apTrafficActivities;
    return this;
  }

  public TrafficActivities addApTrafficActivitiesItem(DeviceTrafficActivity apTrafficActivitiesItem) {
    if (this.apTrafficActivities == null) {
      this.apTrafficActivities = new ArrayList<>();
    }
    this.apTrafficActivities.add(apTrafficActivitiesItem);
    return this;
  }

  /**
   * Wireless network total traffic timing list
   * @return apTrafficActivities
  */
  @ApiModelProperty(value = "Wireless network total traffic timing list")

  @Valid

  public List<DeviceTrafficActivity> getApTrafficActivities() {
    return apTrafficActivities;
  }

  public void setApTrafficActivities(List<DeviceTrafficActivity> apTrafficActivities) {
    this.apTrafficActivities = apTrafficActivities;
  }

  public TrafficActivities switchTrafficActivities(List<DeviceTrafficActivity> switchTrafficActivities) {
    this.switchTrafficActivities = switchTrafficActivities;
    return this;
  }

  public TrafficActivities addSwitchTrafficActivitiesItem(DeviceTrafficActivity switchTrafficActivitiesItem) {
    if (this.switchTrafficActivities == null) {
      this.switchTrafficActivities = new ArrayList<>();
    }
    this.switchTrafficActivities.add(switchTrafficActivitiesItem);
    return this;
  }

  /**
   * Wireless network total traffic timing list Wired network total traffic timing list,
   * @return switchTrafficActivities
  */
  @ApiModelProperty(value = "Wireless network total traffic timing list Wired network total traffic timing list,")

  @Valid

  public List<DeviceTrafficActivity> getSwitchTrafficActivities() {
    return switchTrafficActivities;
  }

  public void setSwitchTrafficActivities(List<DeviceTrafficActivity> switchTrafficActivities) {
    this.switchTrafficActivities = switchTrafficActivities;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TrafficActivities trafficActivities = (TrafficActivities) o;
    return Objects.equals(this.apTrafficActivities, trafficActivities.apTrafficActivities) &&
        Objects.equals(this.switchTrafficActivities, trafficActivities.switchTrafficActivities);
  }

  @Override
  public int hashCode() {
    return Objects.hash(apTrafficActivities, switchTrafficActivities);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TrafficActivities {\n");
    
    sb.append("    apTrafficActivities: ").append(toIndentedString(apTrafficActivities)).append("\n");
    sb.append("    switchTrafficActivities: ").append(toIndentedString(switchTrafficActivities)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

